org.apache.ignite.internal.processors.cache.distributed.dht

## Class GridDhtTxOnePhaseCommitAckRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheMessage
  - - org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtTxOnePhaseCommitAckRequest

All Implemented Interfaces:
  Serializable, Message

    public class GridDhtTxOnePhaseCommitAckRequest
    extends GridCacheMessage

One Phase Commit Near transaction ack request.

See Also:
  Serialized Form

### Field Summary

Fields
`protected Collection<GridCacheVersion>` `vers` Lock or transaction versions.

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`addDepInfo, CACHE_MSG_INDEX_FIELD_NAME, forceAddDepInfo, MAX_CACHE_MSG_LOOKUP_INDEX`

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`GridDhtTxOnePhaseCommitAckRequest()` Default constructor.
`GridDhtTxOnePhaseCommitAckRequest(Collection<GridCacheVersion> vers)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `addDeploymentInfo()` Deployment enabled flag indicates whether deployment info has to be added to this message.
`boolean` `cacheGroupMessage()`
`short` `directType()` Gets message type.
`byte` `fieldsCount()` Gets fields count.
`int` `handlerId()`
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`String` `toString()`
`Collection<GridCacheVersion>` `versions()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`appendFlag, classError, deployInfo, error, finishUnmarshal, finishUnmarshalCacheObjects, finishUnmarshalCacheObjects, ignoreClassErrors, lookupIndex, marshalCollection, marshalInfo, marshalInfos, marshalInvokeArguments, marshalTx, messageId, messageLogger, nextIndexId, onAckReceived, onClassError, partition, partitionExchangeMessage, prepare, prepareMarshal, prepareMarshalCacheObject, prepareMarshalCacheObjects, prepareMarshalCacheObjects, prepareObject, prepareObject, topologyVersion, transferExpiryPolicy, unmarshalCollection, unmarshalInfo, unmarshalInfos, unmarshalInvokeArguments, unmarshalTx`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### vers

    @GridToStringInclude
    protected Collection<GridCacheVersion> vers

Lock or transaction versions.

### Constructor Detail

#### GridDhtTxOnePhaseCommitAckRequest

    public GridDhtTxOnePhaseCommitAckRequest()

Default constructor.

#### GridDhtTxOnePhaseCommitAckRequest

    public GridDhtTxOnePhaseCommitAckRequest(Collection<GridCacheVersion> vers)

Parameters:
  `vers` - Near Tx xid Versions.

### Method Detail

#### handlerId

    public int handlerId()

Specified by:
  `handlerId` in class `GridCacheMessage`
Returns:
  ID to distinguish message handlers for the same messages but for different caches/cache groups.

#### cacheGroupMessage

    public boolean cacheGroupMessage()

Specified by:
  `cacheGroupMessage` in class `GridCacheMessage`
Returns:
  `True` if cache group message.

#### versions

    public Collection<GridCacheVersion> versions()

Returns:
  Version.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridCacheMessage`

#### addDeploymentInfo

    public boolean addDeploymentInfo()

Deployment enabled flag indicates whether deployment info has to be added to this message.

Specified by:
  `addDeploymentInfo` in class `GridCacheMessage`
Returns:
  `true` or if deployment info must be added to the the message, `false` otherwise.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                           MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Overrides:
  `writeTo` in class `GridCacheMessage`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                            MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Overrides:
  `readFrom` in class `GridCacheMessage`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public short directType()

Gets message type.

Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Overrides:
  `fieldsCount` in class `GridCacheMessage`
Returns:
  Fields count.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018